Subject: bug#19547: Patch for this bug

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 26 Nov 2016 19:50:13 +0100

Eli Zaretskii <[email-masked]> writes:

> You can do that with a 'switch' in C, or, better, with a C array that
> holds the symbols and their corresponding C event_kind values, like
> this:
>
>  struct event_value {
>    Lisp_Object event_symbol;
>    enum event_kind event_kind;
>  };
>  static struct event_value symbol_to_kind[] = {
>    { Qfocus_in, FOCUS_IN_EVENT },
>    { Qhelp, HELP_EVENT },
>    { Qiconify, ICONIFY_EVENT },
>    ...
>  };
>
> Then, for each symbol, you can find the corresponding event value by
> walking the array until you find a match.

Thanks, I will try to learn how to do this with both methods, only able
to produce errors for now :-)

I tried using Fmemq to check if event (translated with switch) is in new
variable Vwhile_no_input_ignore_events, but without success.

Will tell you as soon as I can end up with something more or less
usable.

Thanks again.

-- 
Thierry